package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayBaohuoEmployee;
import com.ruoyi.pay.domain.vo.PayBaohuoEmployeeVo;
import com.ruoyi.pay.domain.bo.PayBaohuoEmployeeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 包活工单员工关联Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayBaohuoEmployeeService {

    /**
     * 查询包活工单员工关联
     */
    PayBaohuoEmployeeVo queryById(Long id);

    /**
     * 查询包活工单员工关联列表
     */
    TableDataInfo<PayBaohuoEmployeeVo> queryPageList(PayBaohuoEmployeeBo bo, PageQuery pageQuery);

    /**
     * 查询包活工单员工关联列表
     */
    List<PayBaohuoEmployeeVo> queryList(PayBaohuoEmployeeBo bo);

    /**
     * 新增包活工单员工关联
     */
    Boolean insertByBo(PayBaohuoEmployeeBo bo);

    /**
     * 修改包活工单员工关联
     */
    Boolean updateByBo(PayBaohuoEmployeeBo bo);

    /**
     * 校验并批量删除包活工单员工关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
